/* X-Small Screens (≤ 360px) */
@media (max-width: 360px) {
    .projects-section .image-wrapper {
        height: 21.875rem;
    }
    
    .projects-section .project-image {
        height: 100%;
        border-radius: 1.125rem;
        object-fit: cover;
    }
}

/* Small Screens (≥ 576px) */
@media (min-width: 576px) {
    .container {
        max-width: 33.75rem;
    }
    
    .social-links {
        margin-bottom: 6.25rem;
    }
    
    .mobile-nav {
        width: calc(33.75rem - var(--space-5));
    }
}

/* Medium Screens (≥ 768px) */
@media (min-width: 768px) {
    .container {
        max-width: 45rem;
    }
    
    .mobile-nav {
        width: calc(45rem - var(--space-5));
    }
}

@media (min-width: 768px) and (max-width: 991px) {
    .project {
        display: flex;
        flex-direction: column;
    }
    
    .project .image-wrapper {
        align-self: center;
    }
}

/* Large Screens (≥ 992px) */
@media (min-width: 992px) {
    .container {
        max-width: 61.875rem;
    }
    
    .mobile-nav,
    .menu {
        display: none;
    }
    
    nav:has(input:checked) .mobile-nav {
        display: none;
    }
    
    .btn-resume {
        display: flex;
    }
    
    .desktop-nav {
        display: flex;
        gap: var(--space-5);
    }
    
    .desktop-nav li .link {
        font-weight: 600;
        font-size: 1.25rem;
        color: var(--color-black);
    }
    
    .intro-wrapper {
        display: flex;
        flex-direction: row-reverse;
        margin-top: var(--space-9);
    }
    
    .intro-img {
        display: none;
    }
    
    .intro-img-lg {
        display: block;
        min-width: 37.5rem;
    }
    
    .intro-desc {
        margin-bottom: var(--space-9);
    }
    
    .intro {
        margin-right: -3.75rem;
    }
    
    .intro-heading {
        margin-inline: 0;
        width: 100%;
        font-size: 2.4rem;
    }
    
    .social-links {
        margin-bottom: 0;
    }
    
    h2 {
        font-size: 3rem;
        margin-bottom: var(--space-9);
    }
    
    .experience-cards .card-header {
        display: flex;
        justify-content: space-between;
        align-items: center;
    }
    
    .about-section .container {
        display: flex;
        justify-content: space-between;
        gap: var(--space-5);
    }
    
    .about-section h2 {
        margin-inline: 0;
        margin-top: var(--space-3);
        margin-bottom: var(--space-3);
    }
    
    .about-img {
        min-width: 28.125rem;
        margin-bottom: 0;
    }
    
    .copyright-text {
        font-size: 1rem;
    }
    
    .project {
        display: flex;
        gap: 2.5rem;
    }
    
    .project:nth-child(2) {
        flex-direction: row-reverse;
    }
    
    .project .image-wrapper {
        min-width: 40%;
    }
    
    .project .project-info {
        min-width: 60%;
    }
    
    .testimonial-section .cards {
        display: flex;
        gap: var(--space-4);
    }
    
    .testimonial-section .card {
        padding: var(--space-4) 1.125rem;
    }
    
    .contact-section .container {
        display: flex;
        align-items: center;
        gap: var(--space-9);
    }
    
    .contact-section .col > .social-links {
        display: none;
    }
    
    .contact-section .actions .social-links {
        display: flex;
    }
    
    .contact-section .actions {
        display: flex;
        gap: var(--space-4);
    }
}

/* X-Large Screens (≥ 1200px) */
@media (min-width: 1200px) {
    .container {
        max-width: 71.25rem;
    }
    
    .intro-img-lg {
        min-width: 43.75rem;
    }
    
    .intro-wrapper {
        margin-top: var(--space-7);
    }
    
    .intro-heading {
        margin-top: 3.5rem;
        font-size: 2.9rem;
    }
    
    .intro {
        margin-right: -5rem;
    }
    
    .skills {
        gap: var(--space-5) var(--space-4);
        justify-content: space-between;
    }
    
    .skill {
        min-width: 12.5rem;
        height: 12.5rem;
    }
    
    .experience-cards .role {
        font-size: 1.5rem;
    }
    
    .about-img {
        min-width: 31.25rem;
    }
    
    .project {
        gap: 4.375rem;
    }
    
    .project-num {
        font-size: 3rem;
    }
    
    .project-name {
        font-size: 2rem;
    }
}

/* XX-Large Screens (≥ 1400px) */
@media (min-width: 1400px) {
    .container {
        max-width: 82.5rem;
    }

    .intro-img-lg {
        min-width: 46.875rem;
    }

    .intro-heading {
        margin-top: 5.6rem;
    }

    .intro {
        margin-right: -8.125rem;
    }

    .skills {
        gap: var(--space-5);
        row-gap: 2.5rem;
        justify-content: space-between;
    }

    .skill {
        min-width: 12.5rem;
        height: 12.5rem;
    }

    .project {
        gap: 6.25rem;
    }
}